Subject: bug#28535: 25.2; Composed charater colon slows down Emacs performance while you in buffer with this character

From: Eli Zaretskii <[email-masked]>
Date: Thu, 21 Sep 2017 19:50:19 +0300

> From: Oleksandr Gavenko <[email-masked]>
> Date: Thu, 21 Sep 2017 19:12:25 +0300
> Cc: [email-masked]
> 
>  Please provide a simple reproduction recipe, for reference, if you
>  can.
> 
> Run native W32 Emacs 25.2.1.
> 
> With C-x 8 RET 2237 RET I place "problematic" character into buffer and Emacs becomes to have problem
> with responsiveness (when I move cursor, especially if it cross problematic character).

Thanks.

> That is not a single character that cause problem. I detect a lot of them inside buffer:
> 
> M-x describe-input-method RET TeX RET
> 
> It seems that any which isn't same width as "Courier New" - cause a problem.

IME, only some fonts cause this, MS Gothic is one of them.

> With:
> 
> (setq inhibit-compacting-font-caches t) 
> 
> redisplay lags was disappeared on cursor moves.

Great, then I guess this bug can be closed?

> Is it possible to adjust font choosing preference to try well known fonts (like DejaVu) before falling to ugly and
> buggy MS Gothic? So other Emacs users will have less problems on Windows .

We already do that by default, but we prefer Symbola, as its coverage
is much better.

If you want to use DejaVu Sans Mono instead, you can customize your
fontset accordingly, see fontset.el for examples of how to do that.